/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.digital.signature.internal.model;

import com.liferay.digital.signature.model.DSNotaryInfo;

/**
 * @author Michael C. Han
 */
public class DSNotaryInfoImpl implements DSNotaryInfo {

	public DSNotaryInfoImpl(
		String emailAddress, String name, String participantKey) {

		_emailAddress = emailAddress;
		_name = name;
		_participantKey = participantKey;
	}

	@Override
	public String getEmailAddress() {
		return _emailAddress;
	}

	@Override
	public String getName() {
		return _name;
	}

	@Override
	public String getParticipantKey() {
		return _participantKey;
	}

	private final String _emailAddress;
	private final String _name;
	private final String _participantKey;

}